# Импорт новых сообщений из лог-файла MQL5 в сервис Seq #

    Запуск: py log2seq appName pathLog
    где log2seq - имя пакета (каталога)
        appName - имя приложения для идентификации событий в Seq
        pathLog - путь лога МТ5
    Пример: py log2seq Cayman d:/Project/MQL5/Logs/20211028.log

Модули:
- **\_\_main\_\_** - исполнительная часть пакета
- **logitem** - класс *LogItem* определяет структуру записи лог файла
- **logmt5** - класс *LogMT5* для обработки лог файлов МТ5
- **seqman** - класс *SeqManager* для взаимодействия с Seq

```    
Прошу прощения у апологетов PEP8
Имена функций и переменных у меня в camelStype, а не snake-style
```

Чтобы не дублировать строки логов, вначале импорта делается выборка времени
самого последнего сообщения (lastTime), заданного приложения (appName). 
Из лог файла yyyymmdd.log в Seq попадут только новые сообщения (time > lastTime).
